/* jconfig.h for Jitterbug. You must make some changes in this file for your
   site or nothing will work at all! */

/* Root directory for your report tracking system. This is where all
   the data files are kept. It is normally outside your normal web
   document area and must be writeable by the UID/GID specified below  */
#define BASEDIR "/usr/people/jitter-bugs/bug_tracking"

/* this is the uid and gid that jitterbug will run as. This must match
   the owner of the BASEDIR directory. */
#define UID 1022
#define GID 1006

/* this is the uid and gid used for guest connections. This should
   have minimal privilages. The "nobody" user would be good */
#define GUEST_UID 60001
#define GUEST_GID 60001


/* Anyone can log in as guest, but people connecting as the following user
   as authenticated by the web daemon have privileges to the whole system. 
   This must match the "require user" line in the Apache configuration (or 
   the equivalent in your WWW server) 

   you can leave this undefined if you wish to accept any user that
   your web server grants access to the page. This is particularly
   useful if you are using the group authentication features of apache */
/* #define AUTH_USER "jitterbug" */


/* This is the address that all mail will appear to come from. It need not
   be the same as the address for submitting reports but it might be simpler
   if it is because followups can be tracked via their PR number. */
#define FROM_ADDRESS "jitter-bugs@samba.anu.edu.au"

/* this is what will appear in the title of every www page */
#define PROG_TITLE "JitterBug"

/* The IP address of a SMTP mail server that will do the actual sending
   of all email. This is normally your localhost address */
#define SMTP_ADDR "127.0.0.1"


/* you probably want to leave the rest of these alone */
#define SYSTEMFILE "/system"
#define FAQ_DIR "/.faq"
#define PRIVATE "PRIVATE"
#define MAX_USERS 100
#define MAX_REPLIES 1000
#define MAX_LINKS 1000
#define MAX_MESSAGEID_LEN 10
#define MAX_USERNAME_LEN 30
#define WRAP_COLS 80
#define DOWNLOAD_EXTENSION ".bin"

